commit:     9c520bdd227fb0728dbd26e219f4e3a0b23fb98c
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon May 15 08:53:06 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon May 15 09:47:07 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c520bdd

dev-python/pyopenssl: Bump to version 17.0.0

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/pyopenssl/Manifest                |  1 +
 dev-python/pyopenssl/pyopenssl-17.0.0.ebuild | 62 ++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/pyopenssl/Manifest b/dev-python/pyopenssl/Manifest
index 85cdd173da4..cfb1f749e67 100644
--- a/dev-python/pyopenssl/Manifest
+++ b/dev-python/pyopenssl/Manifest
@@ -1,2 +1,3 @@
 DIST pyOpenSSL-0.15.1.tar.gz 149887 SHA256 
f0a26070d6db0881de8bcc7846934b7c3c930d8f9c79d45883ee48984bc0d672 SHA512 
bd204f40c9583a8580cff28b061f02ea772fdda3965dab6ac9e3f8c3b98792bea87b6de76494f7ce81e1ddcc76019432a9ffa3bcd55c5adb063bb639efe62e51
 WHIRLPOOL 
34badbf11b49cb65019cb55da7c6d6a539971392741d14ea1408c56dc0564d52ffeb947d86549fed17762474d863d59a406cde86daa75a329bd5b6411a77702b
 DIST pyOpenSSL-16.2.0.tar.gz 167305 SHA256 
7779a3bbb74e79db234af6a08775568c6769b5821faecf6e2f4143edb227516e SHA512 
c1b068137a492564fe958603712d401b7ee0def94c01a28be55f5c89e07c25684ecb0f465f3c56f35924bde038894f2914ac49539144845fb586d12b80307078
 WHIRLPOOL 
60f2fe38ba773ed52bcfe88da57bd78f2114d7018a6184ec1c0fa2a8ae6dab4cf2495cd2aa75d7a5b2beee49477dbb6b4256034cec83752db0a3c7e5f7c4debb
+DIST pyOpenSSL-17.0.0.tar.gz 167121 SHA256 
48abfe9d2bb8eb8d8947c8452b0223b7b1be2383b332f3b4f248fe59ef0bafdd SHA512 
819be95f920a70b40ae48ed6740bd1d8cd3bf2fc080f682db8978946929994cb87ac467e220267dcdafc40aa7ed2cce51a334a49b06c1e2665d295157181ddad
 WHIRLPOOL 
8256ad13d35d7c7d1678bd6c35140e13a1f601f149bc38633b3f04eaec7e302853abcb5df857a04fd04dc8ac3feeb35d4247dc979cee0969dafc538ec9b70d5c

diff --git a/dev-python/pyopenssl/pyopenssl-17.0.0.ebuild 
b/dev-python/pyopenssl/pyopenssl-17.0.0.ebuild
new file mode 100644
index 00000000000..ba3f71d2929
--- /dev/null
+++ b/dev-python/pyopenssl/pyopenssl-17.0.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+MY_PN=pyOpenSSL
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python interface to the OpenSSL library"
+HOMEPAGE="
+       http://pyopenssl.sourceforge.net/
+       https://launchpad.net/pyopenssl
+       https://pypi.python.org/pypi/pyOpenSSL
+"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="doc examples test"
+
+RDEPEND="
+       >=dev-python/six-1.5.2[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-1.3[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+               virtual/python-cffi[${PYTHON_USEDEP}]
+               >=dev-python/pytest-3.0.1[${PYTHON_USEDEP}] )"
+
+S=${WORKDIR}/${MY_P}
+
+python_prepare_all() {
+       # Requires network access
+       sed -i -e 's/test_set_default_verify_paths/_&/' tests/test_ssl.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       # FIXME: for some reason, no-ops on PyPy
+       py.test -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/_build/html/. )
+       if use examples ; then
+               docinto examples
+               dodoc -r examples/*
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to